.........1.........2.........3.........4.........5.........6.........7.........8

;Module 1 - Memory Used
#FEB0 AF       65200  XOR  A           ;Clear carry
#FEB1 2A4B5C          LD   HL,(VARS)   ;HL=VARS
#FEB4 ED4B535C        LD   BC,(PROG)   ;BC=PROG
#FEB8 C5              PUSH BC
#FEB9 ED42            SBC  HL,BC       ;HL=VARS-PROG
#FEBB E5              PUSH HL
#FEBC C1              POP  BC          ;BC=VARS-PROG
#FEBD E1              POP  HL          ;HL=PROG
#FEBE C9              RET

;Module 2 - Case Swap
#FEBF CDB0FE   65215  CALL 65200       ;Call Module 1
#FEC2 0B              DEC  BC
#FEC3 78              LD   A,B
#FEC4 A7              AND  A           ;Test if BC=0
#FEC5 FE00            CP   #00         ;(ie. program completed)
#FEC7 2005            JR   NZ,#FECE
#FEC9 79              LD   A,C
#FECA A7              AND  A
#FECB FE00            CP   #00
#FECD C8              RET  Z
#FECE 23              INC  HL          ;Skip 5 bytes
#FECF 0B              DEC  BC          ;for ENTER and line number
#FED0 23              INC  HL
#FED1 0B              DEC  BC
#FED2 23              INC  HL
#FED3 0B              DEC  BC
#FED4 23              INC  HL
#FED5 0B              DEC  BC
#FED6 23              INC  HL
#FED7 7E              LD   A,(HL)
#FED8 FE0D            CP   #0D         ;Is it ENTER?
#FEDA 28E6            JR   Z,#FEC2     ;Yes - skip 5 bytes
#FEDC FE0E            CP   #0E         ;Is it a number?
#FEDE 2004            JR   NZ,#FEE4    ;No
#FEE0 0B              DEC  BC          ;Yes - skip 6 bytes
#FEE1 23              INC  HL
#FEE2 18DE            JR   #FEC2
#FEE4 A7              AND  A
#FEE5 D661     65253  SUB  #61         ;Is it >= "a"?
#FEE7 3808            JR   C,#FEF1     ;No - next byte
#FEE9 A7              AND  A
#FEEA D61A            SUB  #1A         ;Is it <= "z"?
#FEEC 3003            JR   NC,#FEF1    ;No
#FEEE C65B     65262  ADD  A,#5B       ;Yes - change to capital
#FEF0 77              LD   (HL),A
#FEF1 0B              DEC  BC          ;Next byte
#FEF2 23              INC  HL
#FEF3 18E2            JR   #FED7

;Module 3 - Lower Case to Upper Case
#FEF5 00       65269  NOP
#FEF6 3E61     65270  LD   A,#61
#FEF8 32E6FE          LD   (65254),A
#FEFB 3E5B            LD   A,#5B
#FEFD 32EFFE          LD   (65263),A
#FF00 CDBFFE          CALL 65215
#FF03 C9              RET

#FF04 00              NOP
#FF05 00              NOP
#FF06 00              NOP
#FF07 00              NOP
#FF08 00              NOP
#FF09 00              NOP

;Module 3 - Upper Case to Lower Case
#FF0A 3E41     65290  LD   A,#41
#FF0C 32E6FE          LD   (65254),A
#FF0F 3E7B            LD   A,#7B
#FF11 32EFFE          LD   (65263),A
#FF14 CDBFFE          CALL 65215
#FF17 C9              RET
